//
// Created by oubayasho on 2023/6/8.
//

#ifndef DEVICE_SNMPFINDER_H
#define DEVICE_SNMPFINDER_H
#include "device_information.h"

class snmpFinder {
public:
    snmpFinder();
    ~snmpFinder();
    void dowork();
    QList<DeviceInformation> getList();

private:
    QList<DeviceInformation> m_snmpInfoList;
    void parseSnmpInfo(QString &info);
};

#endif  // DEVICE_SNMPFINDER_H
